@echo off & setlocal enableextensions & echo.
 
if "%1" equ "/?" (
   echo runall.bat runs all action sets ^(directives files^) required for
   echo Web distribution of the dataset. If there is a parameter
   echo ^(e.g. 'runall x'^), the revision date is set to the current date.
   exit /b 0
   )

if "%~1" neq "" call dataver || goto abort

call imagenotes_ || goto abort

call confor toint || goto abort
call confor tonatsr || goto abort
call confor printch || goto abort
call confor tonath || goto abort

:: angio contains the master copies of hints.*, button images, etc.

call finish && goto end

:abort
echo.
echo    ****** 'runall.bat' failed.
exit /b 1

:end
exit /b 0
